#!/usr/bin/perl -w
use strict;
die "Usage : ./plot.pl C\n" if($#ARGV!=0);

my $dirName = "./log_i5_C$ARGV[0]/";
my $dirName2 = "./log_i50_C$ARGV[0]/";
my $dirName3 = "./log_i500_C$ARGV[0]/";
my $filename;
my @elements;
my $cmd;
opendir(DIR, $dirName3) or "Open dir $dirName3 error!\n";
while($filename = readdir(DIR)) {
	next if($filename eq ".");
	next if($filename eq "..");
	@elements = split(/_/, $filename);
	$cmd = "";
	if($elements[1] eq "l2" or $elements[1] eq "lr") {
		$cmd = $cmd . "../function/plot_dualCD.pl " . "$dirName$filename" . " > ./log_i5_C$ARGV[0]_parsed/$filename\n";
		$cmd = $cmd . "../function/plot_dualCD.pl " . "$dirName2$filename" . " > ./log_i50_C$ARGV[0]_parsed/$filename\n";
		$cmd = $cmd . "../function/plot_dualCD.pl " . "$dirName3$filename" . " > ./log_i500_C$ARGV[0]_parsed/$filename\n";
		$cmd = $cmd . "../function/plot_dualCD_orig.pl " . "$dirName$filename" . " > ./log_orig_C$ARGV[0]_parsed/$filename\n";
	}
	elsif($elements[1] eq "l2p" or $elements[1] eq "lrp") {
		$cmd = $cmd . "../function/plot_tron.pl " . "$dirName$filename" . " > ./log_i5_C$ARGV[0]_parsed/$filename\n";
		$cmd = $cmd . "../function/plot_tron.pl " . "$dirName2$filename" . " > ./log_i50_C$ARGV[0]_parsed/$filename\n";
		$cmd = $cmd . "../function/plot_tron.pl " . "$dirName3$filename" . " > ./log_i500_C$ARGV[0]_parsed/$filename\n";
		$cmd = $cmd . "../function/plot_tron_orig.pl " . "$dirName$filename" . " > ./log_orig_C$ARGV[0]_parsed/$filename\n";
	}
	elsif($elements[1] eq "l2cdp" or $elements[1] eq "lrcdp") {
		$cmd = $cmd . "../function/plot_cdprimal.pl " . "$dirName$filename" . " > ./log_i5_C$ARGV[0]_parsed/$filename\n";
		$cmd = $cmd . "../function/plot_cdprimal.pl " . "$dirName2$filename" . " > ./log_i50_C$ARGV[0]_parsed/$filename\n";
		$cmd = $cmd . "../function/plot_cdprimal.pl " . "$dirName3$filename" . " > ./log_i500_C$ARGV[0]_parsed/$filename\n";
		$cmd = $cmd . "../function/plot_cdprimal_orig.pl " . "$dirName$filename" . " > ./log_orig_C$ARGV[0]_parsed/$filename\n";
	}
	print $cmd;
	system($cmd);
	
	$cmd = "matlab -nodisplay -r \"draw\(" . "\'$ARGV[0]\', " . "\'$filename\'" . "\)\; quit\;\"\n";
	print $cmd;
	system($cmd);
}
