#!/usr/bin/perl -w
use strict;
my $inputFile = $ARGV[0];
my @elements;
my @ov;
my @t;
my $i;
my $out;

open(IN, $inputFile) or die "Open file $inputFile error!\n";
while(<IN>) {
	if($_ =~ "warm-start time") {
		last;
	}
}
push(@t, "0\n");
while(<IN>) {
	chomp($_);
	if(substr($_, 0, 5) eq "final") {
		@elements = split(/ +/, $_);
		push(@ov,$elements[3]);
		last;
	}
	next if(substr($_, 0, 2) eq "cg");
	@elements = split(/ +/, $_);
	push(@ov,$elements[9]);
	$_ = <IN>;
	if(substr($_, 0, 7) eq "WARNING") {
		$_ = <IN>;
	}
	@elements = split(/ +/, $_);
	push(@t, $elements[4]);
}
close(IN);
for($i=0;$i<=$#ov;$i++) {
	if(defined($ov[$i]) && defined($t[$i])) {
	$out = sprintf("%.15e %f\n", $ov[$i], $t[$i]);
	print $out;
}
}
